/*************************************************************
* Form Generator Styles
*************************************************************/
#imperia .i-form-field-preview-container,
.i-form-field-preview-container {
	padding: 2px;
	text-align: left;
}
#imperia .i-form-generator,
.i-form-generator {
	font-family: Arial, sans-serif;
	font-size: 12px;
}
#imperia .i-form-generator .ui-widget-header {
	background: #3a3c43;
	border: none;
}
#imperia .i-form-field-preview-container h6,
.i-form-field-preview-container h6 {
	color: #1a1b1e;
	margin: 0;
	padding: 0;
	font-size: 9px;
	text-shadow: 0.1em 0.1em 0 #606470;
	border-bottom: 1px solid #1a1b1e;
}
#imperia .imperia-field,
.imperia-field {
	overflow: hidden;
	margin: 5px 0;
}
#imperia .i-form-field-preview-container .imperia-field,
.i-form-field-preview-container .imperia-field {
	padding: 2px 0 4px 30px;
	margin: 0;
	overflow: auto;
	-webkit-transition:background 0.3s linear;  
   	-moz-transition:background 0.3s linear;  
   	-o-transition:background 0.3s linear;  
   	transition:background 0.3s linear;
}
#imperia .i-form-field-preview-container .imperia-field label,
.i-form-field-preview-container .imperia-field label {
	color: #fff;
}
#imperia .i-form-field-preview-container .imperia-field:hover,
.i-form-field-preview-container .imperia-field:hover,
#imperia .i-form-field-preview-container .imperia-field-macro:hover,
.i-form-field-preview-container .imperia-field-macro:hover {
	background: #595b66;
}
#imperia .i-form-field-preview-container .imperia-field-errors,
.i-form-field-preview-container .imperia-field-errors {
	margin: 0;
	padding: 1px 3px;
}
 #imperia a.i-form-field-values-remove, #imperia a.i-form-field-values-add,
 a.i-form-field-values-remove, a.i-form-field-values-add {
	text-decoration: none;
	width: 15px;
	height: 15px;
	line-height: 15px;
	text-align: center;
	display: inline-block;
	color: #fff;
	overflow: hidden;
	text-decoration: none;
	margin-bottom: -4px;
}
.ui-dialog a.i-form-field-values-remove {
	font-size: 11px;
}
.ui-dialog a.i-form-field-values-remove i {
	margin: 2px 0 0 1px;
}
.i-form-generator-field-options-content table td {
	text-align: left;
}
#imperia ul.imperia-field-errors,  ul.imperia-field-errors{
	margin: 0;
	padding: 1px 3px;
}
#imperia .imperia-field em.imperia-field-required,
.imperia-field em.imperia-field-required {
	font-size: 13px;
	line-height: 0;
	bottom: 1ex;
	position: relative;
	vertical-align: baseline;
}
.i-form-generator-field-options a.i-button,
.i-form-generator-field-options .button_container a.i-button {
	color: #fff;
	background-color: #444749;
	text-decoration: none;
}
.i-form-generator-field-options a.i-button:hover,
.i-form-generator-field-options .button_container a.i-button:hover {
	color: #444749 !important;
	background-color: #eb8237 !important;
	text-decoration: none;
}
.i-form-generator-field-options {
	font-family: 'Arial', sans-serif !important;
}

.i-form-generator-field-options-content {
	margin: 15px 5px 5px 5px;
	font-family: 'Arial', sans-serif !important;
	font-size: 13px !important;
}
.i-form-generator-field-options-content th {
	text-align: right;
}
.i-form-generator-field-options-content th, .i-form-generator-field-options-content td {
	font-family: 'Arial', sans-serif !important;
	font-size: 13px !important;
	line-height: 15px;
}
.i-form-generator-field-options-content input:focus, 
.i-form-generator-field-options-content input:active{
	border: 1px solid orange;
	box-shadow: 0 0 2px orange;
	padding: 3px;
}
.i-form-generator-field-drop .ui-sortable-placeholder.ui-state-highlight {
	background-color: #fbcb72 !important;
	border: 1px solid #eb8237;
}
#imperia .ui-tab.ui-state-active {
	background: orange;
	border-color: orange;
}
#imperia .ui-tab.ui-state-active a {text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);}
.i-form-generator-field-drop .ui-state-highlight {
	position: relative;
}

/* Overwrite jquery-ui styles */
.ui-dialog.ui-widget.ui-widget-content {
  border-radius: 0 !important;
}
.ui-dialog.ui-widget.ui-widget-content {
  border: none;
  border-radius: 0 !important;
  padding: 0;
  box-shadow: 0 1px 6px #191919;
}
.ui-dialog .ui-widget-header {
  border: none;
  border-bottom: 1px solid gray;
  background-color: #43474a;
  padding: 6px 0;
  margin: 0;
}
.ui-dialog .ui-dialog-titlebar {
  padding-left: 0.7em !important;
  border-radius: 0 !important;
}
.ui-dialog .ui-dialog-title {
  color: #fff;
  padding: 0;
  margin: 0;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 12px;
}
.ui-dialog button.ui-button.ui-button-icon-only.ui-dialog-titlebar-close {
  background-color: transparent;
  border: none;
 
}
.ui-dialog button.ui-button.ui-button-icon-only.ui-dialog-titlebar-close:hover {
  background-color: transparent;
}
.ui-dialog .ui-button-icon.ui-icon.ui-icon-closethick {
  background: transparent url("/imperia/images/icons/white/png/20x18/close2.png") no-repeat -2px -2px;
}